Subject: Re: Old regression with MTD devices disappearing from a Kurobox HD/HG

From: Scott Wood <[email-masked]>
Date: Tue, 7 Apr 2015 19:50:04 -0500

On Tue, 2015-04-07 at 21:37 -0300, Rogério Brito wrote:
> Dear Scott,
> 
> Once again, thank you very much for your answer.
> 
> On Apr 07 2015, Scott Wood wrote:
> > On Tue, 2015-04-07 at 20:58 -0300, Rogério Brito wrote:
> > > This is good to know. Is there any reasonable dts that I can copy/adapt?
> > 
> > I'm not familiar with how flash is connected on this chip, so I don't
> > have a specific recommendation other than to read the binding and look
> > at several examples.
> 
> How can I discover how the flash is connected? I'm really showing here that
> I am only a luser, but I am willing to find any specs so that this can be
> fixed.
>
> > > Another question: would putting the description of the flash device into the
> > > dts file be helpful to remove any code from the kernel?
> > 
> > If you currently have a custom flash map driver, you could get rid of
> > that, but I suspect that's already gone away due to the fact that it's
> > no longer working.
> 
> I see. If I do some "archaeology" (read: bisect when it stopped working),
> would that help to discover how the flash is connected?

It will probably give you the address and size of the flash, which is
good enough to get something working.  Does your config (for the old
kernel) have anything with PHYSMAP in it?  I suspect it probably broke
with commit dcb3e137ce9be1dfc86e306182b23e3ae5e239c4 ("[MTD] physmap:
make physmap compat explicit").

-Scott